Bug 141402 - eject uses deprecated SCSI ioctl
Summary: eject uses deprecated SCSI ioctl
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: eject   
(Show other bugs)
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-11-30 22:10 UTC by Bastien Nocera
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-01 14:31:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bastien Nocera 2004-11-30 22:10:01 UTC
Description of problem:
In dmesg when running eject:
"program eject is using a deprecated SCSI ioctl, please convert it to
SG_IO"

Version-Release number of selected component (if applicable):
eject-2.0.13-10
kernel-2.6.9-1.681_FC3

There's an "example" of using the new SG_IO in there:
http://www.ussg.iu.edu/hypermail/linux/kernel/0409.2/0031.html
but this will only work if this program is the only one poking at the
device, which won't work if HAL is running (could use
hal_device_lock() from HAL though).

Comment 1 Bastien Nocera 2004-11-30 22:10:55 UTC
Adding Alex to the CC: as this breaks nautilus' eject as well.

Comment 2 Ngo Than 2004-12-01 14:31:51 UTC
it's now fixed in eject-2.0.13-13. Thanks for your info.


Note You need to log in before you can comment on or make changes to this bug.